Subject: bug#52547: 29.0.50; Confusing behavior of org-timer-set

From: Rudolf Adamkovič <[email-masked]>
Date: Fri, 17 Dec 2021 22:30:48 +0100

Kyle Meyer <[email-masked]> writes:

> This must be org-timer-set-timer; there's no org-timer-set in Org's
> tree.

Correct. My apologies.

> Yes, it seems better to at least signal a user-error if the input
> doesn't match the expected format.

Agreed.  Or perhaps recognize h/m/s, like org-schedule does.

> Anyway, I'm redirecting this to the Org list.  Perhaps someone there
> will be interested in improving this behavior or reviewing a patch that
> does so.

Thank you!  (Org remains strangely "disconnected" from Emacs.)

> org-timer-set-timer has been autoloaded since 4e2795413 (Add autoload
> cookie to org-timer-set-timer, 2009-07-27).

Correct.  My apologies again.

-- 
"I love deadlines. I love the whooshing noise they make as they go by." -- Douglas Adams, The Salmon of Doubt

Rudolf Adamkovič <[email-masked]> [he/him]
Studenohorská 25
84103 Bratislava
Slovakia